Feature request #13786

Include the closed source ESRI FileGeoDB library in standalone installer

Added by Corey Burger almost 5 years ago. Updated over 3 years ago.

Status:Reopened
Priority:Normal
Assignee:-
Category:Data Provider/OGR
Pull Request or Patch supplied:No Resolution:
Easy fix?:No Copied to github as #:21812

Description

The default QGIS install (2.12) doesn't include R/W access to ESRI FileGBs (it used to and it go dropped about 2.8). Given the popularity of Arc* products, shipping this should be part of the basic functionality of QGIS.

Here is a great example of another user frustrated with the same issue:
http://gis.stackexchange.com/questions/167939/need-file-geodatabase-gdb-read-write-support-in-qgis

History

#1 Updated by Giovanni Manghi almost 5 years ago

  • Resolution set to invalid
  • Status changed from Open to Closed

Default Windows install includes the open filegdb driver, which is read only

http://www.gdal.org/drv_openfilegdb.html

using the osgeo4w installer you can install the driver based on the esri api/sdk, that also allow editing

http://www.gdal.org/drv_filegdb.html

I just tested on Windows/OSGeo4W with ESRI samples and it is ok

http://www.arcgis.com/home/item.html?id=7a2631a5dff54bf3af77b6a7d223632a

http://www.arcgis.com/home/item.html?id=44fc826520574946a97bf45ce0b7dffe

#2 Updated by Corey Burger almost 5 years ago

  • Status changed from Closed to Reopened

Uhh, you missed my point. I want the default to innclude the ESRI API/SDK driver so that people can edit flegdb without going through the massive pain of installing via the advanced installer.

#3 Updated by Giovanni Manghi almost 5 years ago

  • Operating System deleted (Windows)
  • Tracker changed from Bug report to Feature request
  • Subject changed from Default QGIS Windows install doesn't include R/W ESRI FileGeoDB to Include the closed source ESRI FileGeoDB library in standalone installer
  • Resolution deleted (invalid)
  • OS version deleted (10)

Corey Burger wrote:

Uhh, you missed my point. I want the default to innclude the ESRI API/SDK driver so that people can edit flegdb without going through the massive pain of installing via the advanced installer.

ok, but then is a feature request.

#4 Updated by Giovanni Manghi almost 5 years ago

  • Target version deleted (Version 2.14)

#5 Updated by Giovanni Manghi over 3 years ago

  • Easy fix? set to No

Also available in: Atom PDF